package com.plannaplan.controllers;

import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RestController;

import java.io.IOException;

import com.plannaplan.App;
import com.plannaplan.Controller;
import com.plannaplan.entities.Assignment;
import com.plannaplan.entities.Commision;
import com.plannaplan.entities.Groups;
import com.plannaplan.models.ConfigData;
import com.plannaplan.services.AssignmentService;
import com.plannaplan.services.CommisionService;
import com.plannaplan.services.GroupService;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.multipart.MultipartFile;

@RestController
@CrossOrigin
@RequestMapping("/api/" + App.API_VERSION + "/commisions")
public class CommisionController {

    @Autowired
    private CommisionService commisionService;

    @Autowired
    private GroupService groupServcicxe;

    @Autowired
    private AssignmentService assignmentService;

    public CommisionController() {
    }

    @PostMapping("/add")
    public String addCommision(@RequestParam("id") Long id) {
        Groups group = this.groupServcicxe.getGroupById(id).orElseThrow(() -> new NullPointerException());
        Commision com = new Commision(null);
        // Object principal =
        // SecurityContextHolder.getContext().getAuthentication().getPrincipal();

        Assignment a = new Assignment(group, com);

        this.commisionService.save(com);
        this.assignmentService.save(a);

        return "Success";
    }

}
